From 8d6da466a1d89623a8efebfb3dcdbc7b4881d65a Mon Sep 17 00:00:00 2001
From: skrzepto <shims506@gmail.com>
Date: Aug 05 2016 13:22:49 +0000
Subject: [PATCH 604/1001] Fixing up jenkins scripts


adding centos 7 specific dependency, adding jenkins python venv script

Adding fedora check to install specific packages for centos

adding jenkins runtest

adding jenkins specific venv setup

update setuptools on epel7

manually running test

working on getting jenkins to pass build in centos

adding coverage dep for unittest

removing unused file, forgot to cp the pygments lib

cleaning up and removing hardlink to use relative links

removing the python setup in the fedora dep setup

---

diff --git a/runtest_jenkins.sh b/runtest_jenkins.sh
new file mode 100644
index 0000000..0092438
--- /dev/null
+++ b/runtest_jenkins.sh
@@ -0,0 +1,24 @@
+#!/bin/bash
+
+PATH=$WORKSPACE/venv/bin:/usr/local/bin:$PATH
+
+if [ ! -d "venv" ]; then
+    virtualenv venv
+fi
+. venv/bin/activate
+
+# epel 7 specific python setup
+if ! grep -q "Fedora" /etc/os-release ; then
+    pip install --upgrade setuptools==18.5
+    cp -r /usr/lib/python2.7/site-packages/pygments_markdown_lexer $WORKSPACE/venv/lib/python2.7/site-packages/
+    cp -r /usr/lib/python2.7/site-packages/pygments_markdown_lexer-*-py2.7.egg-info $WORKSPACE/venv/lib/python2.7/site-packages/
+fi
+
+pip install -r requirements.txt
+pip install -r test-requirements.txt
+
+# Temporary: html5lib is breaking stability in some libraries
+pip install html5lib==0.9999999
+
+HUBS_CONFIG=$WORKSPACE/hubs/tests/hubs_test.cfg PYTHONPATH=. ./nosetests \
+    --cover-package=hubs $*
\ No newline at end of file
diff --git a/setup_test_env.sh b/setup_test_env.sh
index bee1732..d1d5305 100755
--- a/setup_test_env.sh
+++ b/setup_test_env.sh
@@ -7,7 +7,12 @@
 # Install dependencies
 sudo yum install -y gcc gcc-c++ sqlite-devel libffi-devel openssl-devel redhat-rpm-config
 
-# setup python virtualenv
-sudo yum install -y python-virtualenvwrapper postgresql postgresql-devel
+if ! grep -q "Fedora" /etc/os-release ; then
+    # Epel 7 specific
+    sudo yum install -y epel-release
+    sudo yum update -y
+    sudo yum install -y python-pip python-pygments-markdown-lexer
+fi
 
-sh ./setup_python_test_env.sh
+# setup python virtualenv
+sudo yum install -y python-virtualenvwrapper postgresql postgresql-devel
\ No newline at end of file
